Bug 1264631 - dmesg: Direct firmware load for mt7601u.bin failed with error -2
dmesg: Direct firmware load for mt7601u.bin failed with error -2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: linux-firmware (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 11:02 EDT by marco
Modified: 2016-01-04 14:53 EST (History)
10 users (show)

See Also:
Fixed In Version: linux-firmware-20151214-60.gitbbe4917c.fc23 linux-firmware-20151214-60.gitbbe4917c.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-02 11:10:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marco 2015-09-19 11:02:11 EDT
Steps to Reproduce:
1. Download Fedora 23 (e.g. https://getfedora.org/en/workstation/prerelease/ )
2. Boot from live CD or HD
3. Insert Edimax EW-7711UAn v2 into a USB slot
4. Run `dmesg` in the terminal

Actual results:

[...]
[  104.315103] usb 1-1: new high-speed USB device number 2 using xhci_hcd
[  104.489797] usb 1-1: New USB device found, idVendor=7392, idProduct=7710
[  104.489805] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  104.489808] usb 1-1: Product: Edimax Wi-Fi
[  104.489811] usb 1-1: Manufacturer: MediaTek
[  104.489814] usb 1-1: SerialNumber: 1.0
[  105.943406] usb 1-1: reset high-speed USB device number 2 using xhci_hcd
[  106.110255] mt7601u 1-1:1.0: ASIC revision: 76010001 MAC revision: 76010500
[  106.142503] mt7601u 1-1:1.0: Direct firmware load for mt7601u.bin failed with error -2
[  106.142898] mt7601u: probe of 1-1:1.0 failed with error -2
[  106.143225] usbcore: registered new interface driver mt7601u

Expected results:

No error

Additional info: Transformed https://ask.fedoraproject.org/en/question/75556/wifi-kernel-module-not-working-edimax-ew-7711uan-v2-fedora-23/ into this bug report.
Comment 1 Josh Boyer 2015-09-21 08:29:52 EDT
This isn't a kernel bug.  The firmware for this device is missing.  From what I understand, you have to download it from the vendor driver and put it in the proper location as it is not shipped with the upstream linux-firmware project.
Comment 2 marco 2015-09-22 05:43:07 EDT
Yes, you are right. The binary is missing.

In the meantime I fixed it with:

    git clone https://github.com/porjo/mt7601
    cd mt7601/src/
    make
    sudo mv mcu/bin/MT7601.bin /lib/firmware/mt7601u.bin
Comment 3 Fedora Update System 2015-12-14 10:20:13 EST
linux-firmware-20151214-60.gitbbe4917c.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3da9bae9fa
Comment 4 Fedora Update System 2015-12-14 10:20:14 EST
linux-firmware-20151214-60.gitbbe4917c.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2e21b2b270
Comment 5 Fedora Update System 2015-12-15 05:53:16 EST
linux-firmware-20151214-60.gitbbe4917c.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update linux-firmware'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3da9bae9fa
Comment 6 Fedora Update System 2015-12-16 03:24:05 EST
linux-firmware-20151214-60.gitbbe4917c.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-12-16 08:07:58 EST
linux-firmware-20151214-60.gitbbe4917c.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2e21b2b270
Comment 8 Fedora Update System 2015-12-16 09:35:12 EST
linux-firmware-20151214-60.gitbbe4917c.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-12-22 10:37:02 EST
linux-firmware-20151214-60.gitbbe4917c.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2e21b2b270
Comment 10 poma 2015-12-23 09:49:43 EST
(In reply to marco from comment #2)
> Yes, you are right. The binary is missing.
> 
> In the meantime I fixed it with:
> 
>     git clone https://github.com/porjo/mt7601
>     cd mt7601/src/
>     make
>     sudo mv mcu/bin/MT7601.bin /lib/firmware/mt7601u.bin


http://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/plain/mt7601u.bin
Comment 11 poma 2015-12-23 09:54:06 EST
Add firmware for mt7601u. version 34.
http://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/commit/?id=9df5430

This FW has been tested long time ago.
Oh yeah!
Comment 12 Fedora Update System 2016-01-04 14:53:24 EST
linux-firmware-20151214-60.gitbbe4917c.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.